function net = mlp_automake(nin, nhid, nout);
% MLP = MLP_AUTOMAKE (NIN, NHID, NOUT)
% create MLP with NIN input nodes, NHID hidden nodes and NOUT output nodes
% all inputs are inputs to hidden nodes
% all hidden nodes are inputs to output nodes
% Dr Richard Mitchell 11/08/03
net = [];
for ct=1:nin, net = [net, mlp_makenode(1, [])]; end
for ct=1:nhid, net = [net, mlp_makenode(2, [1:nin])]; end
for ct=1:nout, net = [net, mlp_makenode(3, nin+[1:nhid])]; end
net = mlp_initialise(net);
