function mlp = mlp_calcoutputs (mlp, invals)
% MLP_CALCOUTPUTS (MLP, INVALS)
% MLP is a set up network; INVALS are the inputs
% This routine calculates the outputs
for ct = 1:length(invals), mlp(ct).output = invals(ct); end  % load inputs
for ct = length(invals)+1:length(mlp)       % for other nodes, calc outputs
    oursum = mlp(ct).weights(1);            % bias term
    for ct2 = 2:length(mlp(ct).innodes)
        oursum = oursum + mlp(mlp(ct).innodes(ct2)).output * mlp(ct).weights(ct2);
    end
    mlp(ct).output = 1 / (1 + exp(-oursum));
end