function mlp=mlp_initialise(mlp);
%MLP = MP_INITIALISE(MLP)
% initialises MLP, including setting which nodes each node provides input for
% Dr Richard Mitchell 22/7/03
for ct=1:length(mlp)
    for ct2 = 2:length(mlp(ct).innodes)
        src = mlp(ct).innodes(ct2);       % node src has input node ct
        if mlp(src).type == 2             % if hidden node
            mlp(src).goesto = [mlp(src).goesto, [ct; find(mlp(ct).innodes==src)]];
        end                               % save number of node goes to
    end                                   % and number of that node's inputs back to this one
end
