function node = mlp_makenode (ntype, inputs);
% NODE = MLP_MAKENODE(NTYPE, INPUTS);
% make a MLP node - passing type and the number of each node 
% whose output provides input to this one
% Dr Richard Mitchell 23.7.03
if length(inputs)==0, weights = []; else weights = randn(1, 1+length(inputs)); end
node=struct('type', ntype, 'output', 0, 'innodes', [0 inputs], ...
            'weights', weights, 'dweights', zeros(size(weights)), ...
            'goesto', [], 'delta', 0);
        