function net=mlp_makemlp (egno)
% NET = MLP_MAKEMLP (EGNO)
% make MLP number EGNO (EGNO = 1,2)
% Dr Richard Mitchell 23.7.03
if egno == 1
    net = [mlp_makenode(1, []), mlp_makenode(1, []), ...
           mlp_makenode(2, [1 2]), mlp_makenode(2, [1 2]), ...
           mlp_makenode(3, [3 4])];
    net(3).weights=[0.862518, -0.155797, 0.282885];
    net(4).weights=[0.834986, -0.505997, -0.864449];
    net(5).weights=[0.036498, -0.430437, 0.481210];
elseif egno == 2
    net = [mlp_makenode(1, []), mlp_makenode(1, []), ...
           mlp_makenode(2, [1 2]),  ...
           mlp_makenode(3, [1 2 3])];
end

net = mlp_initialise(net);
